.section--questions{
   width: 298px;
   height: max-content;
   display: flex;
   flex-direction: column;
   margin: 0 auto;
   margin-top: 62px;
   padding: 32px 12px;
   background: linear-gradient(180deg, #FFFFFF 0%, #F4F4F4 100%);
   border-radius: 40px;

   .title{
      font-weight: 400;
      font-size: 32px;
      line-height: 1.1;
      letter-spacing: -0.02em;
      color: var(--theme-color-y-black);
   }

   .accordion-wrapper{
      margin-top: 10px;
   }

   .accordion-item{
      display: flex;
      align-items: center;
      flex-direction: column;
      width: 100%;
      height: max-content;
      padding: 20px 16px;
      border: 1px solid var(--theme-color-gray);
      border-radius: 12px;
      margin: 6px 0;
      cursor: pointer;
      transition: all 1s ease 0s;

      .accordion-item__content{
         display: none;
         width: 100%;
         font-family: Yandex;
         font-weight: 300;
         font-size: 13px;
         line-height: 1.2;
         color: var(--theme-color-y-black);
         margin-top: 25px;
      }

      .line{
         content: "";
         width: 2px;
         height: 20px;
         background: var(--theme-color-gray);
         position: absolute;
      }
   
      .line--first{
         top: 50%;
         right: 10px;
         transform: translate(-50%, -50%);
      }
   
      .line--second{
         top: 50%;
         right: 10px;
         transform: translate(-50%, -50%) rotate(90deg);
      }
   }

   .accordion-item--is-active{
      
      .accordion-item__content{
         display: block;
      }

      .line--first{
         transform: translate(-50%, -50%) rotate(90deg);
      }
   }

   .accordion-item__title{
      position: relative;
      width: 100%;

      .text{
         width: 200px;
         font-weight: normal;
         font-size: 14px;
         line-height: 1.4;
         letter-spacing: -0.01em;
         color: var(--theme-color-y-black);
      }
   }
}

@media screen and (min-width: 576px){
   .section--questions{
      width: 524px;

      .accordion-item{
        
         .line--first{
            transition: all 1s ease 0s;
         }
      
         .line--second{
            transition: all 1s ease 0s;
         }
      }
   
      .accordion-item--is-active{
         
         .line--first{
            transition: all 1s ease 0s;
         }
      }
   }
}

@media screen and (min-width: 768px){
   .section--questions{
      width: 720px;
      padding: 70px 60px;

      .accordion-item{
         margin: 10px 0;
         padding: 20px 25px;

         .accordion-item__content{
            font-size: 20px;
         }
      }

      .accordion-item__title{
         position: relative;
         width: 100%;
   
         .text{
            width: 500px;
            font-size: 24px;
         }
      }
   }
}

@media screen and (min-width: 992px){

}

@media screen and (min-width: 1200px){
   .section--questions{
      width: 1200px;

      .title{
         font-size: 40px;
      }

      .accordion-item{
         margin: 10px 0;
         padding: 20px 25px;

         .accordion-item__content{
            font-size: 20px;
         }
      }

      .accordion-item__title{
         position: relative;
         width: 100%;
   
         .text{
            width: 500px;
            font-size: 24px;
         }
      }
   }
}